clear hub
clear shroud
temp=size(Xcoordinates);
NumberOfCoordinates=temp(1);
punkt=11;
sugerorL=0.8;

%% genererer shroud matrix
shroud(1,1)=Xcoordinates(1,1)+0.001; % cv/hub & shroud begynner fr bladet
shroud(1,2)=0;
shroud(1,3)=Zcoordinates(1,1);

for i=2:np+1
    shroud(i,1)=Xcoordinates(i-1,1);
    shroud(i,2)=0;
    shroud(i,3)=Zcoordinates(i-1,1);
end
for i=np+2:np+deleteN+1
    shroud(i,1)=TilShroud(1,i-1,1); % X
    shroud(i,2)=0; % Y
    shroud(i,3)=TilShroud(2,i-1,1); % Z
end
gamma=3*pi/180; % utvidelsesgraden p sugerret
k=1;
for i=np+deleteN+2:np+deleteN+punkt+1 % lager sugerret  
    shroud(i,1)=shroud(np+deleteN+1,1)+k*tan(gamma)/punkt; % X
    shroud(i,2)=0; % Y
    shroud(i,3)=shroud(np+deleteN+1,3)-k*sugerorL/punkt; % Z
    k=k+1;
end


%% genererer hub matrix
hub(1,1)=Xcoordinates(1,ns)+0.001;
hub(1,2)=0;
hub(1,3)=Zcoordinates(1,ns);

for i=2:np+1
    hub(i,1)=Xcoordinates(i-1,ns);
    hub(i,2)=0;
    hub(i,3)=Zcoordinates(i-1,ns);
end
for i=np+2:np+deleteN+1
    hub(i,1)=TilShroud(1,i-1,ns); % X
    hub(i,2)=0;
    hub(i,3)=TilShroud(2,i-1,ns); % Z
end

k=1;
for i=np+2+deleteN:np+deleteN+punkt+1    
    hub(i,1)=0.0001;%hub(np+deleteN+1,1)- (hub(np+deleteN+1,1) - 0.00001)* k/punkt; % X
    hub(i,2)=0;
    hub(i,3)=hub(np+deleteN+1,3)- (hub(np+deleteN+1,3)-shroud(np+deleteN+punkt+1,3))* k/punkt; % Z
    k=k+1;
end
%% genererer streamline matrix
% for i=1:NumberOfCoordinates % flytter strmlinje 1 og den siste litt opp og ned. pga de kan ikke vre lik hub og shroud. vet ikke helt hvorfor...
%     BladeZ(i,1)=BladeZ(i,1) -0.0001;
%     BladeZ(i,ns)=BladeZ(i,ns)+0.0001;
% end
% 
% j=0;
% for x=ns:-1:1
%     j=j+1;
%     for i=1:NumberOfCoordinates
%         streamline(j,1)=BladeX(i,x);
%         streamline(j,2)=BladeY(i,x);
%         streamline(j,3)=BladeZ(i,x);
%         j=j+1;
%     end
% end

temp=size(Xcoordinates);
NumberOfCoordinates=temp(1);

for x=1:ns
    for i=1:np-2
        Xcoordinates(np+i,x)=Xcoordinates(np-i,x);
        Ycoordinates(np+i,x)=Ycoordinates(np-i,x)-0.0001;
        Zcoordinates(np+i,x)=Zcoordinates(np-i,x);
    end
end

temp=size(Xcoordinates);
NumberOfCoordinates=temp(1);
for i=1:NumberOfCoordinates % flytter strmlinje 1 og den siste litt opp og ned. pga de kan ikke vre lik hub og shroud. vet ikke helt hvorfor...
    Zcoordinates(i,1)=Zcoordinates(i,1) -0.0001;
    Zcoordinates(i,ns)=Zcoordinates(i,ns)+0.0001;
end

j=0;
for x=ns:-1:1
    j=j+1;
    for i=1:NumberOfCoordinates % frem
        streamline(j,1)=Xcoordinates(i,x);
        streamline(j,2)=Ycoordinates(i,x);
        streamline(j,3)=Zcoordinates(i,x);
        j=j+1;
    end
end


%% skriver til .curve filer
dlmwrite('hub.curve', hub, 'delimiter', ' ', 'newline', 'pc',  'precision', '%10f')
dlmwrite('shroud.curve', shroud, 'delimiter', ' ', 'newline', 'pc',  'precision', '%10f')
dlmwrite('WithoutThickness.curve', streamline, 'delimiter', ' ', 'newline', 'pc',  'precision', '%10f')
