Nsv=24;
Dsvo=Dgvi*1.02; Dsv(1)=Dsvo;
a=1400; %speed of sound m/s
Phead=1000*9.81*H; % Pa
frac=0.5; % Tl/Tr   (0-1)
dC=4;
Pwaterhammer=1000*9.81*dC*a/9.81*frac;  % torbjrn
Pmax=Phead+Pwaterhammer;

SVparts=10;
Lsv=0.4;
dL=Lsv/SVparts;
Cusv(1)=Cgv(26)*Dgvi/Dsvo;
Cmsv(1)=Q/(pi*Dsvo*Bgv);
angelsv(1)=atan(Cmsv(1)/Cusv(1));
gamma(1)=pi/2;

for i=2:SVparts
    Dsv(i)= 2*(dL^2 + (Dsv(i-1)/2)^2 - 2*dL*(Dsv(i-1)/2)*cos((pi/2)+angelsv(i-1)))^0.5;  % cosine rule
    gamma(i)=gamma(i-1)-acos((Dsv(i-1)^2+Dsv(i)^2-dL^2)/(2*Dsv(i)*Dsv(i-1)));  % cosine rule
    Cusv(i)=Cgv(26)*Dgvi/Dsv(i);  % free-vortex assumption
    Cmsv(i)=Q/(pi*Dsv(i)*Bgv);  % kontinuitet
    angelsv(i)=atan(Cmsv(i)/Cusv(i));
end
Rsv=Dsv/2;
Rsvi=Rsv(SVparts);

for i=1:Nsv   % lager N sv.
    gammatemp=gamma+2*pi*(i-1)/Nsv;
    [X,Y]=pol2cart(gammatemp,Rsv);
    temp=size(gamma);
    for j=1:temp(2);
        SVXmatrix(j,i)=X(j);
        SVYmatrix(j,i)=Y(j);
    end
end