%% optimal UCu
beginning=10;
tale=27;

for x=1:ns   % making the line
    for i=1:np
        cu(i,x)=u(i,x);
        ucu(i,x)=cu(i,x)*u(i,x);
    end
end

for x=1:ns  % curving the inlet
    for i=1:beginning
            beta(i,x)=(beta1+(pi/2-beta1)*(i-1)/(beginning-1));
            cu(i,x)=u(i,x)-cm(i)/tan(beta(i,x));
            ucu(i,x)=cu(i,x)*u(i,x);
    end
end


for x=1:ns % Curving the outlet
    for i=tale:np
        cu(i,x)=cu(tale-1,x)-cu(tale-1,x)*(i-tale)^1.5/(np-tale)^1.5;
        ucu(i,x)=cu(i,x)*u(i,x);
    end
end

for x=1:ns
    for i=1:np
        if cu(i,x)>u(i,x)
            cu(i,x)=u(i,x);
            ucu(i,x)=cu(i,x)*u(i,x);
        end
    end
end


%% UCu
% for i=1:np
%     ucu(i)=1-((i-1)/(np-1))^eksponenten; % ble bra!
% end
% for x=1:ns
%     for i=1:np
%         cu(i,x)=ucu(i)/u(i,x); 
%     end    
% end
% temp=Cu1/cu(1,1);
% cu=temp*cu;  % skalerer opp