%% Calculating the relativ velocity - w
for x=1:ns
    for i=1:np
        wu(i,x)=u(i,x)-cu(i,x);
        w(i,x)=((u(i,x)-cu(i,x))^2+cm(i)^2)^0.5;
    end
end

%% Calculating the area
for x=1:ns 
    for i=1:np-1
        horisontal(i,x)=((axial(1,i,x)-axial(1,i+1,x))^2+(axial(2,i,x)-axial(2,i+1,x))^2+(yradial(i,x)-yradial(i+1,x))^2)^0.5;  % x const
    end
end
for x=1:ns-1  
    for i=1:np
        vertical(i,x)=((axial(2,i,x)-axial(2,i,x+1))^2+(axial(2,i,x)-axial(2,i,x+1))^2+(yradial(i,x)-yradial(i,x+1))^2)^0.5; % i const
    end
end
for x=1:ns-1
    for i=1:np-1
        area(i,x)=(horisontal(i,x)+horisontal(i,x+1))/2 * (vertical(i,x)+vertical(i+1,x))/2;
    end
end
area;
%% relating a velocity to each area
for x=2:ns  %
    for i=2:np
        wArea(i-1,x-1)=(w(i,x)+w(i-1,x)+w(i,x-1)+w(i-1,x-1))/4;
    end
end
wArea;

%% Sand erosion equation  (2-22 from Hari)
constant=0.3; % = lambda * c^x * a^y * k1 * k2 * k3
for x=1:ns-1 % 
    for i=1:np-1
        SandErotion(i,x)=wArea(i,x)^3*area(i,x)*constant; 
    end
end
SandErotion;
SumSandErosion=sum(sum(SandErotion));
